TELEPORT_DEST_00 = $01FF	;set this to where you want to head when you teleport
PROPERTIES_00 = $00		;used as secondary exit and water flag on (see properties comments below)
		


;properties byte: 0000w0s0
;w = destination water
;s = secondary exit flag	


dcb "INIT"
dcb "MAIN"
PHB
PHK
PLB
JSR SpriteCode
PLB
RTL



SpriteCode:
LDA $71
CMP #$09
BNE Return

               
STZ $1DFB               

	LDA $5B		 
	BEQ Horz	 

	LDX $97
	BRA Setup
Horz
	LDX $95		;mario X pos high

Setup	LDA $13BF	; Loads Level number (if >24, add DC)
	CMP #$29	; Level 105
	BEQ TELEPORT_00 ; Branches to TELEPORT_00 if it's level 105.

	BRA DEFAULT_TELE

TELEPORT_00
	PEA TELEPORT_DEST_00
	PLA		;low byte
	STA $19B8,x	;write exit table
	PLA		;high byte
	ORA #$04	;exit present
	ORA #PROPERTIES_00	
	STA $19D8,x	;write high bit and properties
	LDA #$06	;teleport
	STA $71
	STZ $89
	STZ $88
Return:	
RTS		;return




DEFAULT_TELE
	PEA TELEPORT_DEST_00
	PLA		;low byte
	STA $19B8,x	;write exit table
	PLA		;high byte
	ORA #$04	;exit present
	ORA #PROPERTIES_00	
	STA $19D8,x	;write high bit and properties
	LDA #$06	;teleport
	STA $71
	STZ $89
	STZ $88
	RTS		;return


